Commit a071844f authored by Natanael Copa's avatar Natanael Copa

removed obsolete files

parent 99b3532d
......@@ -20,7 +20,6 @@ SBIN_FILES := lbu\
setup-interfaces\
setup-keymap\
setup-mta\
setup-sendbug\
setup-acf\
setup-bootable\
update-conf
......
#!/bin/sh
# bootstrap an alpine installation
VERSION=@VERSION@
usage() {
echo "usage: $(basename $0) TARGETDIR"
exit 2
}
die () {
echo "$@" >&2
exit 3
}
# set up vars
: ${WGET:="/usr/bin/wget"}
: ${TAR:="/usr/bin/tar"}
: ${MIRROR:="http://dev.alpinelinux.org/alpine/v1.7"}
: ${BASE:="base.tar.bz2"}
target=$1
# main
[ -z "$target" ] && usage
[ "$target" = "/" ] && die "Bootstrapping Alpine to '/' is probably not a good idea. Aborting..."
mkdir -p "$target"
echo ">>> Fetching $MIRROR/$BASE..."
$WGET -q -O - "$MIRROR/$BASE" | tar -C "$target" -jx || die "Failed to fetch or unpack $BASE"
echo ">>> Creating missing dirs..."
for dir in proc sys dev home; do
mkdir -p "$target/$dir"
done
echo ">>> Installing busybox links..."
# create fake /proc/self/exe
mkdir -p "$target/proc/self"
ln -s /bin/busybox "$target/proc/self/exe"
chroot "$target" /bin/busybox --install -s
rm -r "$target/proc/self"
if [ -f /etc/resolv.conf ]; then
echo ">>> Copying /etc/resolv.conf..."
cp /etc/resolv.conf "$target/etc/"
fi
echo ">>> Setting up APK_PATH..."
echo "export APK_PATH=$MIRROR/apks" >> "$target/etc/profile"
echo ">>> Alpine bootstrap complete."
#!/bin/sh
PREFIX=
. "$PREFIX/lib/libalpine.sh"
conf="$ROOT/etc/gnats/send-pr.conf"
cfgval() {
awk -F= "/^$1/ {print \$2}" "$ROOT/etc/ssmtp/ssmtp.conf" 2>/dev/null
}
email=$(awk -F= '/^FROM/ {print $2}' "$conf" 2>/dev/null)
if [ -z "$email" ] ; then
hostname=$(cfgval hostname)
if [ -z "$hostname" ]; then
hostname=$(hostname -f 2>/dev/null || cat /etc/hostname)
fi
else
hostname=$(hostname -f 2>/dev/null || cat /etc/hostname)
fi
domain=$(hostname -d $hostname 2>/dev/null)
if [ -n "$hostname" -a -z "$email" ] ; then
email=$(whoami)@$hostname
fi
echon "Sender email address for problem reports? [$email] "
default_read email $email
if grep ^FROM "$conf" > /dev/null ; then
sed -i "s/FROM.*/FROM=$email/" "$conf"
else
echo "FROM=$email" >> "$conf"
fi
setup-mta
echo ""
echo "Please run 'send-pr' to submit problem reports"
#!/bin/sh
PREFIX=
. "$PREFIX/lib/libalpine.sh"
conf="$ROOT/etc/sendbug/sendbug.conf"
cfgval() {
awk -F= "/^$1/ {print \$2}" "$ROOT/etc/ssmtp/ssmtp.conf" 2>/dev/null
}
email=$(awk -F= '/^mailfrom/ {print $2}' "$conf" 2>/dev/null)
if [ -z "$email" ] ; then
hostname=$(cfgval hostname)
if [ -z "$hostname" ]; then
hostname=$(hostname -f 2>/dev/null || cat /etc/hostname)
fi
else
hostname=$(hostname -f 2>/dev/null || cat /etc/hostname)
fi
domain=$(hostname -d $hostname 2>/dev/null)
if [ -n "$hostname" -a -z "$email" ] ; then
email=$(whoami)@$hostname
fi
echon "Sender email address for problem reports? [$email] "
default_read email $email
if grep ^mailfrom "$conf" > /dev/null 2>&1; then
sed -i "s/^mailfrom.*/mailfrom=$email/" "$conf"
else
mkdir -p $(dirname "$conf")
echo "mailfrom=$email" >> "$conf"
fi
setup-mta
echo ""
echo "Please run 'sendbug' to submit problem reports"
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment